using EVCB_OCPP.Packet.Features.LocalAuthListManagement;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Features
{
    
     public class LocalAuthListManagementProfile : Profile
    {
        public LocalAuthListManagementProfile()
        {
            Name = "LocalAuthListManagement";
            //加入支援的Features
            features.Add(new GetLocalListVersionFeature());
            features.Add(new SendLocalListFeature());
           


            actions.Add(Actions.GetLocalListVersion.ToString());
            actions.Add(Actions.SendLocalList.ToString());
           


        }

        public string GetActionFromConfirmation(Type seekType)
        {
            return features.Where(x => x.GetConfirmationType() == seekType).FirstOrDefault().GetAction();
        }

        public string GetActionFromRequest(Type seekType)
        {
            return GetFeaturebyType(seekType).GetAction();
        }




    }
}
